Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Subnet

    java.lang.Object
      com.amazonaws.services.ec2.model.Subnet

    public class Subnet

extends Object

The Subnet data type.

Constructor Summary
`Subnet()`

Method Summary
`String` | `getAvailabilityZone()` Specifies the Availability Zone the subnet is in.
`Integer` | `getAvailableIpAddressCount()` Specifies the number of unused IP addresses in the subnet.
`String` | `getCidrBlock()` Specifies the CIDR block assigned to the subnet.
`String` | `getState()` Describes the current state of the subnet.
`String` | `getSubnetId()` Specifies the ID of the subnet.
`String` | `getVpcId()` Contains the ID of the VPC the subnet is in.
`void` | `setAvailabilityZone(String availabilityZone)` Specifies the Availability Zone the subnet is in.
`void` | `setAvailableIpAddressCount(Integer availableIpAddressCount)` Specifies the number of unused IP addresses in the subnet.
`void` | `setCidrBlock(String cidrBlock)` Specifies the CIDR block assigned to the subnet.
`void` | `setState(String state)` Describes the current state of the subnet.
`void` | `setSubnetId(String subnetId)` Specifies the ID of the subnet.
`void` | `setVpcId(String vpcId)` Contains the ID of the VPC the subnet is in.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Subnet` | `withAvailabilityZone(String availabilityZone)` Specifies the Availability Zone the subnet is in.
`Subnet` | `withAvailableIpAddressCount(Integer availableIpAddressCount)` Specifies the number of unused IP addresses in the subnet.
`Subnet` | `withCidrBlock(String cidrBlock)` Specifies the CIDR block assigned to the subnet.
`Subnet` | `withState(String state)` Describes the current state of the subnet.
`Subnet` | `withSubnetId(String subnetId)` Specifies the ID of the subnet.
`Subnet` | `withVpcId(String vpcId)` Contains the ID of the VPC the subnet is in.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Subnet

    public Subnet()

Method Detail

### getSubnetId

    public String getSubnetId()

  Specifies the ID of the subnet.

  Returns:
    Specifies the ID of the subnet.

### setSubnetId

    public void setSubnetId(String subnetId)

  Specifies the ID of the subnet.

  Parameters:
    `subnetId` - Specifies the ID of the subnet.

### withSubnetId

    public Subnet withSubnetId(String subnetId)

  Specifies the ID of the subnet.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnetId` - Specifies the ID of the subnet.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Describes the current state of the subnet. The state of the subnet may be either `pending` or `available`.

  Returns:
    Describes the current state of the subnet. The state of the subnet may be either `pending` or `available`.

### setState

    public void setState(String state)

  Describes the current state of the subnet. The state of the subnet may be either `pending` or `available`.

  Parameters:
    `state` - Describes the current state of the subnet. The state of the subnet may be either `pending` or `available`.

### withState

    public Subnet withState(String state)

  Describes the current state of the subnet. The state of the subnet may be either `pending` or `available`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - Describes the current state of the subnet. The state of the subnet may be either `pending` or `available`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVpcId

    public String getVpcId()

  Contains the ID of the VPC the subnet is in.

  Returns:
    Contains the ID of the VPC the subnet is in.

### setVpcId

    public void setVpcId(String vpcId)

  Contains the ID of the VPC the subnet is in.

  Parameters:
    `vpcId` - Contains the ID of the VPC the subnet is in.

### withVpcId

    public Subnet withVpcId(String vpcId)

  Contains the ID of the VPC the subnet is in.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcId` - Contains the ID of the VPC the subnet is in.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCidrBlock

    public String getCidrBlock()

  Specifies the CIDR block assigned to the subnet.

  Returns:
    Specifies the CIDR block assigned to the subnet.

### setCidrBlock

    public void setCidrBlock(String cidrBlock)

  Specifies the CIDR block assigned to the subnet.

  Parameters:
    `cidrBlock` - Specifies the CIDR block assigned to the subnet.

### withCidrBlock

    public Subnet withCidrBlock(String cidrBlock)

  Specifies the CIDR block assigned to the subnet.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cidrBlock` - Specifies the CIDR block assigned to the subnet.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailableIpAddressCount

    public Integer getAvailableIpAddressCount()

  Specifies the number of unused IP addresses in the subnet.

  The IP addresses for any stopped instances are considered unavailable.

  Returns:
    Specifies the number of unused IP addresses in the subnet.

    The IP addresses for any stopped instances are considered unavailable.

### setAvailableIpAddressCount

    public void setAvailableIpAddressCount(Integer availableIpAddressCount)

  Specifies the number of unused IP addresses in the subnet.

  The IP addresses for any stopped instances are considered unavailable.

  Parameters:
    `availableIpAddressCount` - Specifies the number of unused IP addresses in the subnet.

    The IP addresses for any stopped instances are considered unavailable.

### withAvailableIpAddressCount

    public Subnet withAvailableIpAddressCount(Integer availableIpAddressCount)

  Specifies the number of unused IP addresses in the subnet.

  The IP addresses for any stopped instances are considered unavailable.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availableIpAddressCount` - Specifies the number of unused IP addresses in the subnet.

    The IP addresses for any stopped instances are considered unavailable.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  Specifies the Availability Zone the subnet is in.

  Returns:
    Specifies the Availability Zone the subnet is in.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  Specifies the Availability Zone the subnet is in.

  Parameters:
    `availabilityZone` - Specifies the Availability Zone the subnet is in.

### withAvailabilityZone

    public Subnet withAvailabilityZone(String availabilityZone)

  Specifies the Availability Zone the subnet is in.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - Specifies the Availability Zone the subnet is in.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.